petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMLabelSetValue

Set the value a label assigns to a point. If the value is the same as the label's default value (which is initially -1, and can be changed with DMLabelSetDefaultValue() to somethingg different), then this function will do nothing.

### Synopsis

    #include "petscdmlabel.h"
    #include "petscis.h"
    PetscErrorCode DMLabelSetValue(DMLabel label, PetscInt point, PetscInt value)

### Input Parameters

| label | - the DMLabel
| point | - the point
| value | - The point value

### See Also

DMLabelCreate(), DMLabelGetValue(), DMLabelClearValue(), DMLabelGetDefaultValue(), DMLabelSetDefaultValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages